過去ログ表示


過去ログ 7 を表示

トピック内全 4 記事中の 1 〜 4 番目を表示
[ 最新記事及び返信フォームをトピックトップへ ]
このトピックの全ページ / [0]

AcrobatReaderをpluginからはずす方法
(#1130) このトピック中1番目の投稿

はじめまして、Mozilla0.9.8からMozilla1.0RC2にあげたところ、Acrobat Readerがプラグイン(ブラウザ内で)表示されるようになりました。プラグイン表示は嫌いなので、これを無効にする方法をどなたかご存知ないでしょうか?

当方の環境は、Windows2000, Mozilla1.0RC2, Adobe AcrobatReader 5.05 です。


Re[1]: @
(#1133) このトピック中2番目の投稿

> はじめまして、Mozilla0.9.8からMozilla1.0RC2にあげたところ、Acrobat Readerがプラグイン(ブラウザ内で)表示されるようになりました。プラグイン表示は嫌いなので、これを無効にする方法をどなたかご存知ないでしょうか?
>
> 当方の環境は、Windows2000, Mozilla1.0RC2, Adobe AcrobatReader 5.05 です。
>
Mozilla の Pluginディレクトリに nppdf32.JPN npndf32.dll といファイルがありませんか?
これをリネームするなり移動させると良いと思います。
後は Acrobat Reader の環境設定のオプションを見てください。
ブラウザ内表示について何かしらあったとハズです。

Re[1]: AcrobatReaderをpluginからはずす方法
(#1135) このトピック中3番目の投稿

1.0rc2 だと <mozilla dir>\default\pref\winpref.js に

pref("plugin.scan.SunJRE", "1.3");
pref("plugin.scan.Acrobat", "5.0");
pref("plugin.scan.Quicktime", "5.0");
pref("plugin.scan.WindowsMediaPlayer", "7.0");

と言うのが付いていて、自動的に各キーのバージョン以上のプラグインを見つけて有効にしてしまうようです。
prefs.js, user.js で

user_pref("plugin.scan.Acrobat", "6.0");

のように存在しないバージョン番号にして上書きすれば、無効になるようです。

# どうせ追加するならプラグイン選択機能でもつければいいものを…

Re[2]: AcrobatReaderをpluginからはずす方法
(#1136) このトピック中4番目の投稿

大変ありがとうございました。

> prefs.js, user.js で
> user_pref("plugin.scan.Acrobat", "6.0");
> のように存在しないバージョン番号にして上書きすれば、無効になるようです。

この方法でうまくいきました。

> # どうせ追加するならプラグイン選択機能でもつければいいものを…

一応、bugzilla を検索してみると、
・Plug-In Manager (ui for choosing mimetype-plugin associations)
http://bugzilla.mozilla.org/show_bug.cgi?id=19118
・[RFE]Need pref UI for plugins
http://bugzilla.mozilla.org/show_bug.cgi?id=141402
などで議論はされているようです。

# せめて、リリースノートに載せておいてくれれば、
# 苦労しなくて済んだのですが。。。
# あと、Acrobatの方にもプラグインを制御するオプションがあるから、
# 余計ややこしくて…。:-)
済!

このトピックの全ページ / [0]

返信不可


- Child Tree -